Package: io.vertx.groovy.ext.unit.report

## [Groovy] Class TestSuiteReport

- io.vertx.groovy.ext.unit.report.TestSuiteReport

- All Implemented Interfaces and Traits:
    ReadStream

      @groovy.transform.CompileStatic
      class TestSuiteReport

  The test suite reports is basically a stream of events reporting the test suite execution.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TestSuiteReport (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TestSuiteReport` | `endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)`
    `TestSuiteReport` | `exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)` Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.
    `java.lang.Object` | `getDelegate()`
    `TestSuiteReport` | `handler(io.vertx.core.Handler<TestCaseReport> handler)`
    `java.lang.String` | `name()` @return Returns: the test suite name
    `TestSuiteReport` | `pause()`
    `TestSuiteReport` | `resume()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### TestSuiteReport(java.lang.Object delegate)

  - ### Method Detail

    - #### TestSuiteReport endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)

    - #### TestSuiteReport exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)

      Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `handler` - the exception handler

    - #### java.lang.Object getDelegate()

    - #### TestSuiteReport handler(io.vertx.core.Handler<TestCaseReport> handler)

    - #### java.lang.String name()

      Returns:
        the test suite name

    - #### TestSuiteReport pause()

    - #### TestSuiteReport resume()